hello@qantasassure.com

Which Android devices are compatible with the Qantas Assure App?

The Qantas Assure App is compatible with selected phones using Android OS 4.1 and above.